<?php

function IN7_INDEX_DATABASE_KIKE($PRODUKT_ID,$TYP_DANYCH,$NOW,$NEWFILE,$TRG_FILE,$EXTRA) {
global $conn,$thiss;
echo "\n <BR>function IN7_INDEX_DATABASE_KIKE($PRODUKT_ID,$TYP_DANYCH,$NOW,$NEWFILE,$TRG_FILE,$EXTRA) ";

//$EXTRA=


//if(($TYP_DANYCH=='FORMULARZ')&&($thiss->DETECT_TABLE_COLUMN=='USERS')) $TYP_DANYCH='SKAN_FORMULARZ' ; //TODO 2009-02-16 bledy uzytkownikow!!

    if($_SESSION[$thiss->DETECT_TABLE_COLUMN][TYPE]["LINK_".$TYP_DANYCH]) $UPD_LINK="LINK_".$TYP_DANYCH."='".$NEWFILE."'";
    if($_SESSION[$thiss->DETECT_TABLE_COLUMN][TYPE]["DATA_".$TYP_DANYCH]) $UPD_DATA=", DATA_".$TYP_DANYCH."='".$NOW."'" ;

//echo "<hr> DEBUG ".$thiss->DETECT_TABLE_COLUMN." = ".$_SESSION[$thiss->DETECT_TABLE_COLUMN][TYPE]["LINK_".$TYP_DANYCH];


//print_r($_SESSION[$thiss->DETECT_TABLE_COLUMN][TYPE]);
//die();
//echo "$UPD_LINK";

//$EXTRA to jest NR_WERSJI - TODO 2008-11-05

if($UPD_LINK) {
		$ZAP_SQL="update ".$thiss->DETECT_TABLE_NAME." set ".$UPD_LINK." ".$UPD_DATA." , A_RECORD_UPDATE_DATE=now() , A_RECORD_UPDATE_AUTHOR='system-imported' where ID='$PRODUKT_ID' limit 1 ;";
		echo "\n ZAP_SQL: $ZAP_SQL";
//		ZAP_SQL($ZA
//            if(!$conn) {$conn=mysql_connect(
	    $result2 = mysql_query($ZAP_SQL,$conn) or die("Blad zapytania ZAP_SQL. * $ZAP_SQL *!");
//	    $result2 = mysql_query("select * from TEMP_MARKETING",$conn) or die("Blad zapytania ZAP_SQ

 }



} //eof f IN7_INDEX_DATABASE

